  function y = MyExpW(x)
%
% Pre:
%    x = scalar
%
% Post:
%    y = n-th order Taylor approximation to exp(x).
%
   y = 0;
   term = 1;
   k=0;
   while abs(term) > eps*abs(y)
      k = k + 1;
	  y = y + term;
      term = x*term/k;
   end
