% Script File: SinePlot
%
% Displays increasingly smooth plots of sin(2*pi*x).
     
   for n = [4 8 12 16 20 50 100 200]
      x = linspace(0,1,n);
      y = sin(2*pi*x);
      plot(x,y)
      title(sprintf('Plot based upon n = %3.0f points.',n))
      pause(1);
   end;
