  function w=WNCOpen(m);
%
% Pre:
%   m    integer that satisfies 1 <= m <= 7
%
% Post:
%   w    column m-vector consisting of the weights for the
%        the m-point open Newton-Cotes rule. 
% 
  if m==1
     w=[1];
  elseif m==2
     w=[1 1]'*(3/2);
  elseif m==3
     w=[2 -1 2]'*(4/3); 
  elseif m==4
     w=[11 1 1 11]'*(5/24); 
  elseif m==5
     w=[11 -14 26 14 11]'*(3/10);
  elseif m==6
     w=[611 -453 562 562 -453 611]'*(7/1440); 
  else
     w=[460 -954 2196 -2459 2196 -954 460]'*(8/945); 
  end


