   function C = Circulant1(a)
%
% Pre:
%      a is a row vector
%
% Post:
%      C is a circulant matrix with C(1,:) = a
%
   n = length(a);
   C = zeros(n,n);
   for i=1:n
      for j=1:n
	     C(i,j) = a( rem(n-i+j,n)+1);
	  end   
   end
