% Script File: ProdBound
%
% Examines the error in 3-digit matrix multiplication.
%

   eps3 = .005;      % 3-digit machine precision
   disp('   n   1-norm factor ')
   disp('------------------------')
   for n = 2:10
      s = 0;
      for r=1:10
         A = randn(n,n); 
	     B = randn(n,n);
	     C = Prod3d(A,B);
	     E = C - A*B;
	     s = s+ norm(E,1)/(eps3*norm(A,1)*norm(B,1));
	  end
      disp(sprintf('%4.0f     %8.3f   ',n,s/10))
   end
   
	  
	  
	  
	  
