  function z = SepV(t,plist)
% Pre:  t is a 2-vector an plist encodes the orbits
%       (A1,P1,phi1) and (A2,P2,phi2).
%
% Post: The vector from the t(1) point on the first
%       orbit to the t(2) point on the second orbit.

  A1 = plist(1); P1 = plist(2); phi1 = plist(3);
  A2 = plist(4); P2 = plist(5); phi2 = plist(6);
  
  Orb1 = Orbit(t(1),A1,P1,phi1);
  Orb2 = Orbit(t(2),A2,P2,phi2);
  z  = Orb2 - Orb1;
