  function y = SpecHumps(x)
%
% Pre: 
%   x            n-vector
%   FunEvals     initialized global scalar.
%   VecFunEvals  initialized global scalar
%
% Post:
%   y   humps(x)
%
% Side Effects:
%   FunEvals is increased by length(x).
%   VecFunEvals is increased by 1.
%

   global FunEvals VecFunEvals;
   y = 1 ./ ((x-.3).^2 + .01) + 1 ./ ((x-.9).^2 + .04) - 6;
   plot(x,y,'*')
   FunEvals = FunEvals + length(x);
   VecFunEvals = VecFunEvals + 1;
   
