% Script File: CircBench
%
% Benchmarks Circulant1 and Circulant2

disp('  n  t1/t2 ')
disp('----------------')
for n=[10 20 40 80 160]
   a = 1:n;
   t0 = clock;
   C = Circulant1(a);
   t1 = etime(clock,t0);
   t0 = clock;
   C = Circulant2(a);
   t2 = etime(clock,t0);
   disp(sprintf(' %4.0f   %5.3f',n,t1/t2))
end
