% Script File: Show2DQuad
%
% Integral of SampleF2 over [0,2]x[0,2] for various 2D composite
% QNC(7) rule.

   clc
   home
   m=7;
   disp(' Subintervals    Integral       Relative Time')
   disp('------------------------------------------------')
   for n = [1 2 4 8 16 32 64]
      t1 = clock;
      numI2D = CompQNC2D('SampleF2',0,2,0,2,m,n,m,n);
	  t2 = etime(clock,t1);
	  if n==1;
	     base = t2;
		 time = 1;
	  else
	     time = t2/base;
	  end
	
	  disp(sprintf(' %7.0f  %17.15f  %11.1f',n,numI2D,time))
   end;
