% Script File: StrassFlops.m
%
% Compares Strassen method flops with ordinary A*B flops

  A0 = rand(128,128);
  B0 = rand(128,128);
  disp('  n   Strass Flops   Ordinary Flops')
  disp('-------------------------------------')
  for n = [2 4 8 16 32 64 128]
     A = A0(1:n,1:n);
	 B = B0(1:n,1:n);
     flops(0);
     C = strass(A,B);
     f = flops;
     disp(sprintf('%3.0f   %10.0f   %10.0f', n,f,2*n^3))
  end
