% Script File: ShowCholBlock
%
  n = 48;
  A = randn(n,n);
  A = A'*A;
  G0 = chol(A)';
  clc
  disp(sprintf('n =  %2.0f',n))
  disp(' ')
  disp(' Block Size   Time    ')
  disp('--------------------------')
  for p=[1 2 3 4 6 8 12 16 24 48]
	 t0 = clock;
     G = CholBlock(A,p);
	 t(p) = etime(clock,t0);
	 disp(sprintf('     %2.0f       %6.3f  ',p,t(p)/t(1)))
  end
	 
	 
  
  
