function hessenberg=sym(A)

n=size(A);
for k=1:n(1)-2
   x=A(k+1:n(1),k);
   m=max(x);
   u(k+1:n(1),k)=x/m;
   sum=0;
   for i=k+1:n
      sum=sum+u(i,k)^2;
   end 
   s=sign(u(k+1,k))*sqrt(sum);
   u(k+1,k)=u(k+1,k)+s;
   s=-m*s;
   A(k+1,k)=s;
   v(k)=u(k+1,k);
   for i=2:n(1)-k
      A(k+i,k)=u(k+i,k);
   end
   b=2/(u(k+1:n(1),k)'*u(k+1:n(1),k));
   for j=k+1:n(1)
      sum=0;
      for i=k+1:n(1)
         sum=sum+u(i,k)*A(i,j);
      end
      s=b*sum;
      for i=k+1:n(1)
         A(i,j)=A(i,j)-s*u(i,k);
      end
   end
 %  A
 %  A(k,k+1)=A(k+1,k);
 %  for p=k+2:n(1)
 %     A(k,p)=0;
 %     A(p,k)=0;
 %  end   
 %  A
   for i=k:n(1)
      sum=0;
      for j=k+1:n(1)
         sum=sum+u(j,k)*A(i,j);
      end
      s=b*sum;
      for j=k+1:n(1)
         A(i,j)=A(i,j)-s*u(j,k);
      end
   end
%A   
end     
A
v
  